--
-- Tabel structuur voor tabel `city`
--

DROP TABLE IF EXISTS `city`;
CREATE TABLE IF NOT EXISTS `city` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(150) default NULL,
  `longitude` float default NULL,
  `latitude` float default NULL,
  `yahoo_feed_location` varchar(8) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Tabel structuur voor tabel `weather_condition`
--

DROP TABLE IF EXISTS `weather_condition`;
CREATE TABLE IF NOT EXISTS `weather_condition` (
  `id` int(11) NOT NULL auto_increment,
  `city_id` int(11) default NULL,
  `day_date` datetime default NULL,
  `temperature` int(11) default NULL,
  `code` int(11) default NULL,
  `creation_date` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  PRIMARY KEY  (`id`),
  KEY `city_id` (`city_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Tabel structuur voor tabel `weather_forecast`
--

DROP TABLE IF EXISTS `weather_forecast`;
CREATE TABLE IF NOT EXISTS `weather_forecast` (
  `id` int(11) NOT NULL auto_increment,
  `city_id` int(11) default NULL,
  `day_date` datetime default NULL,
  `temperature_min` int(11) default NULL,
  `temperature_max` int(11) default NULL,
  `code` int(11) default NULL,
  `creation_date` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  PRIMARY KEY  (`id`),
  KEY `city_id` (`city_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;