<?php

require_once('YahooWeatherCondition.class.php5');
require_once('YahooWeatherForecast.class.php5');
require_once('City.class.php5');

class Dao {

  private $connection;

  public function __construct($server, $user, $password, $schema) {
  	$this->connection = mysql_connect($server, $user, $password);
  	mysql_select_db($schema, $this->connection);
  }

  public function __destruct() {
    if ($this->connection != NULL) {
	  mysql_close($this->connection);
	}
  }

  public function findAllCities() {
    $cities = NULL;
    $query = 'SELECT id, name, longitude, latitude, yahoo_feed_location FROM city ORDER BY name ASC';
    $resultSet = mysql_query($query, $this->connection);
    while ($row = mysql_fetch_array($resultSet)) {
	  $city = new City();
	  $city->setId($row['id']);
	  $city->setName($row['name']);
	  $city->setLongitude($row['longitude']);
	  $city->setLatitude($row['latitude']);
	  $city->setYahooFeedLocation($row['yahoo_feed_location']);
	  $cities[] = $city;
	}
    return $cities;
  }

  public function storeCurrentCondition($cityId, $currentCondition) {
    $query = 'INSERT INTO weather_condition (city_id, day_date, temperature, code, creation_date) VALUES ('
    		.$this->escape($cityId).','.$this->escape($currentCondition->getDate()).','
			.$this->escape($currentCondition->getTemperature()).','.$this->escape($currentCondition->getCode()).',CURRENT_TIMESTAMP())';
	mysql_query($query, $this->connection);
  }

  public function storeForecast($cityId, $forecast) {
	$query = 'INSERT INTO weather_forecast (city_id, day_date, temperature_min, temperature_max, code, creation_date) VALUES('
			.$this->escape($cityId).','.$this->escape($forecast->getDate()).','.$this->escape($forecast->getTemperatureMin())
			.','.$this->escape($forecast->getTemperatureMax()).','.$this->escape($forecast->getCode()).',CURRENT_TIMESTAMP())';
	mysql_query($query, $this->connection);
  }

  public function findCurrentCondition($cityId, $date) {
    $query = 'SELECT day_date, temperature, code, creation_date FROM weather_condition WHERE city_id = '
			.$this->escape($cityId). ' AND DATE_FORMAT(day_date, ' . "'%Y-%m-%d') = ".$this->escape($date).' ORDER BY creation_date DESC LIMIT 0,1';
	$resultSet = mysql_query($query, $this->connection);
	$currentCondition = NULL;
	if ($row = mysql_fetch_array($resultSet)) {
	  $currentCondition = new YahooWeatherCondition();
	  $currentCondition->setDate($row['day_date']);
	  $currentCondition->setTemperature($row['temperature']);
	  $currentCondition->setCode($row['code']);
	}
	return $currentCondition;
  }

  public function findForecast($cityId, $date) {
    $query = 'SELECT day_date, temperature_min, temperature_max, code, creation_date FROM weather_forecast WHERE city_id = '
    		.$this->escape($cityId).' AND DATE_FORMAT(day_date, ' . "'%Y-%m-%d') = ".$this->escape($date).' ORDER BY creation_date DESC LIMIT 0,1';
    $resultSet = mysql_query($query, $this->connection);
    $forecast = NULL;
    if ($row = mysql_fetch_array($resultSet)) {
	  $forecast = new YahooWeatherForecast();
	  $forecast->setDate($row['day_date']);
	  $forecast->setTemperatureMin($row['temperature_min']);
	  $forecast->setTemperatureMax($row['temperature_max']);
	  $forecast->setCode($row['code']);
	}
	return $forecast;
  }

  private function escape($variable) {
    if (is_numeric($variable)) {
	  return $variable;
	}
	return "'".mysql_real_escape_string($variable, $this->connection)."'";
  }

}

?>